### Eclipse Workspace Patch 1.0
#P portletbridge-archetypes
Index: 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml
===================================================================
--- 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml	(revision 535)
+++ 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml	(working copy)
@@ -1,8 +1,8 @@
-<?xml version="1.0"?>
-<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
-         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-         xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
-         version="2.4">
+<?xml version="1.0" encoding="UTF-8"?>
+<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee"
+         xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
+         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
+         version="2.5">
 
    <description>JSFRIPortlet</description>
    
@@ -44,17 +44,17 @@
       <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet-mapping>
-      <servlet-name>FacesServlet</servlet-name>
+      <servlet-name>Faces Servlet</servlet-name>
       <url-pattern>/faces/*</url-pattern>
    </servlet-mapping>
 
    <servlet-mapping>
-      <servlet-name>FacesServlet</servlet-name>
+      <servlet-name>Faces Servlet</servlet-name>
       <url-pattern>*.jsf</url-pattern>
    </servlet-mapping>
 
    <servlet-mapping>
-      <servlet-name>FacesServlet</servlet-name>
+      <servlet-name>Faces Servlet</servlet-name>
       <url-pattern>*.resource</url-pattern>
    </servlet-mapping>
 
Index: seam-basic/src/main/resources/archetype-resources/ear/pom.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/ear/pom.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/ear/pom.xml	(working copy)
@@ -1,19 +1,15 @@
 <?xml version="1.0"?>
 <project>
-    <parent>
-        <groupId>${groupId}</groupId>
-        <artifactId>${artifactId}</artifactId>
-        <version>${version}</version>
-        <relativePath>../pom.xml</relativePath>
-    </parent>
+    
     <modelVersion>4.0.0</modelVersion>
-    <groupId>${groupId}.ear</groupId>
-    <artifactId>${artifactId}</artifactId>
+    <groupId>${groupId}</groupId>
+    <artifactId>${artifactId}-ear</artifactId>
     <packaging>ear</packaging>
     <version>${version}</version>
     <name>${name}</name>
 
    <build>
+   	  <finalName>${artifactId}-ear</finalName>
       <plugins>
          <plugin>
             <artifactId>maven-ear-plugin</artifactId>
@@ -23,74 +19,19 @@
                   <ejbModule>
                      <groupId>org.jboss.seam</groupId>
                      <artifactId>jboss-seam</artifactId>
-                     <!--
-                        <includeInApplicationXml>
-                        true
-                        </includeInApplicationXml>
-                     -->
                      <bundleDir>/</bundleDir>
                   </ejbModule>
-                   <jarModule>
-                        <groupId>org.jboss.portletbridge</groupId>
-                        <artifactId>portletbridge-api</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
-                    <jarModule>
-                        <groupId>org.jboss.portletbridge</groupId>
-                        <artifactId>portletbridge-impl</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
-                    <jarModule>
-                        <groupId>com.sun.facelets</groupId>
-                        <artifactId>jsf-facelets</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
-                    <jarModule>
-                        <groupId>org.richfaces.ui</groupId>
-                        <artifactId>richfaces-ui</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
-                    <jarModule>
-                        <groupId>org.richfaces.framework</groupId>
-                        <artifactId>richfaces-api</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
-                    <jarModule>
-                        <groupId>org.richfaces.framework</groupId>
-                        <artifactId>richfaces-impl</artifactId>
-                        <includeInApplicationXml>
-                            true
-                        </includeInApplicationXml>
-                        <bundleDir>/lib</bundleDir>
-                    </jarModule>
                   <ejbModule>
-                     <groupId>
-                        ${groupId}.ejb
-                     </groupId>
-                     <artifactId>${artifactId}</artifactId>
+                     <groupId>${groupId}</groupId>
+                     <artifactId>${artifactId}-ejb</artifactId>
                      <bundleDir>/</bundleDir>
+                     <bundleFileName>${artifactId}-ejb.jar</bundleFileName>
                   </ejbModule>
                   <webModule>
-                     <groupId>${groupId}.web</groupId>
-                     <artifactId>${artifactId}</artifactId>
-                     <contextRoot>
-                        /${artifactId}
-                     </contextRoot>
+                     <groupId>${groupId}</groupId>
+                     <artifactId>${artifactId}-web</artifactId>
+                     <contextRoot>/${artifactId}-web</contextRoot>
+                     <bundleFileName>${artifactId}-web.war</bundleFileName>
                   </webModule>
                </modules>
                <artifactTypeMappings>
@@ -104,7 +45,7 @@
                <jboss>
                   <version>4.2</version>
                   <loader-repository>
-                     seam.jboss.org:loader=${artifactId}
+                     seam.jboss.org:loader=${artifactId}-ear
                   </loader-repository>
                </jboss>
                <version>5</version>
@@ -131,7 +72,22 @@
       <dependency>
             <groupId>org.jboss.seam</groupId>
             <artifactId>jboss-seam</artifactId>
+            <version>${seam.version}</version>
             <type>ejb</type>
+            <exclusions>
+            <exclusion>
+               <groupId>jboss</groupId>
+               <artifactId>javassist</artifactId>
+            </exclusion>
+            <exclusion>
+               <groupId>javassist</groupId>
+               <artifactId>javassist</artifactId>
+            </exclusion>
+            <exclusion>
+               <groupId>dom4j</groupId>
+               <artifactId>dom4j</artifactId>
+            </exclusion>
+         </exclusions>
         </dependency>
         <dependency>
             <groupId>org.jboss.seam</groupId>
@@ -169,13 +125,15 @@
             <artifactId>jsf-facelets</artifactId>
         </dependency>
       <dependency>
-         <groupId>${groupId}.ejb</groupId>
-         <artifactId>${artifactId}</artifactId>
+         <groupId>${groupId}</groupId>
+         <artifactId>${artifactId}-ejb</artifactId>
+         <version>${project.version}</version>
          <type>ejb</type>
       </dependency>
       <dependency>
-         <groupId>${groupId}.web</groupId>
-         <artifactId>${artifactId}</artifactId>
+         <groupId>${groupId}</groupId>
+         <artifactId>${artifactId}-web</artifactId>
+         <version>${project.version}</version>
          <type>war</type>
       </dependency>
    </dependencies>
Index: seam-basic/src/main/resources/META-INF/maven/archetype.xml
===================================================================
--- seam-basic/src/main/resources/META-INF/maven/archetype.xml	(revision 535)
+++ seam-basic/src/main/resources/META-INF/maven/archetype.xml	(working copy)
@@ -10,6 +10,8 @@
       <resource>ejb/src/main/resources/META-INF/persistence.xml</resource>
 
       <resource>ear/pom.xml</resource>
+      <resource>ear/src/main/application/META-INF/application.xml</resource>
+	  <resource>ear/src/main/application/META-INF/jboss-app.xml</resource>
 
       <resource>web/pom.xml</resource>
       <resource>web/src/main/webapp/WEB-INF/components.xml</resource>
Index: richfaces-basic/pom.xml
===================================================================
--- richfaces-basic/pom.xml	(revision 535)
+++ richfaces-basic/pom.xml	(working copy)
@@ -1,16 +1,36 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0"
 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-	<parent>
-		<groupId>org.jboss.portletbridge</groupId>
-		<version>2.0.0.BETA</version>
-		<artifactId>archetypes</artifactId>
-	</parent>
+	
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>org.jboss.portletbridge.archetypes</groupId>
 	<artifactId>richfaces-basic</artifactId>
 	<version>2.0.0.BETA</version>
-	<packaging>maven-plugin</packaging>
+	<packaging>maven-archetype</packaging>
 	<name>RichFaces portlet archetype</name>
 
+	<build>
+		<extensions>
+			<extension>
+				<groupId>org.apache.maven.archetype</groupId>
+				<artifactId>archetype-packaging</artifactId>
+				<version>2.0-alpha-4</version>
+			</extension>
+		</extensions>
+		<plugins>
+			<plugin>
+				<artifactId>maven-archetype-plugin</artifactId>
+				<version>2.0-alpha-4</version>
+				<extensions>true</extensions>
+			</plugin>
+		</plugins>
+	</build>
+	
+	<distributionManagement>
+		<repository>
+			<id>internal.repo</id>
+			<name>JBoss Internal Repository</name>
+			<url>file:///e:/atest</url>
+		</repository>
+	</distributionManagement>
 </project>
\ No newline at end of file
Index: richfaces-basic/src/main/resources/archetype-resources/pom.xml
===================================================================
--- richfaces-basic/src/main/resources/archetype-resources/pom.xml	(revision 535)
+++ richfaces-basic/src/main/resources/archetype-resources/pom.xml	(working copy)
@@ -119,6 +119,29 @@
 
    <dependencies>
       <dependency>
+         <groupId>javax.faces</groupId>
+         <artifactId>jsf-api</artifactId>
+         <version>${jsf.version}</version>
+         <scope>provided</scope>
+      </dependency>
+
+      <dependency>
+         <groupId>javax.faces</groupId>
+         <artifactId>jsf-impl</artifactId>
+         <version>${jsf.version}</version>
+         <scope>provided</scope>
+         <exclusions>
+            <exclusion>
+               <groupId>commons-collections</groupId>
+               <artifactId>commons-collections</artifactId>
+            </exclusion>
+            <exclusion>
+               <groupId>commons-logging</groupId>
+               <artifactId>commons-logging</artifactId>
+            </exclusion>
+         </exclusions>
+      </dependency>
+      <dependency>
          <groupId>javax.portlet</groupId>
          <artifactId>portlet-api</artifactId>
          <version>1.0</version>
Index: seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/pages.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/pages.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/pages.xml	(working copy)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <pages xmlns="http://jboss.com/products/seam/pages"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-       xsi:schemaLocation="http://jboss.com/products/seam/pages http://jboss.com/products/seam/pages-2.0.xsd"
+       xsi:schemaLocation="http://jboss.com/products/seam/pages http://jboss.com/products/seam/pages-2.2.xsd"
 	   no-conversation-view-id="/home.xhtml"
        login-view-id="/home.xhtml">
        <!--
@@ -112,9 +112,10 @@
             <message severity="warn">You must be logged in to use this feature</message>
         </redirect>
     </exception>
-
+    
+   <!--
    <exception>
         <render view-id="/home.xhtml" />
     </exception>
-
+	-->
 </pages>
Index: seam-basic/src/main/resources/META-INF/maven/archetype-metadata.xml
===================================================================
--- seam-basic/src/main/resources/META-INF/maven/archetype-metadata.xml	(revision 535)
+++ seam-basic/src/main/resources/META-INF/maven/archetype-metadata.xml	(working copy)
@@ -62,7 +62,16 @@
             </fileSet>
          </fileSets>
       </module>
-      <module dir="ear"/>
+      <module dir="ear">
+        <fileSets>
+      	   <fileSet filtered="true" encoding="UTF-8">
+             <directory>src/main/application</directory>
+             <includes>
+               <include>**/*.xml</include>
+             </includes>
+           </fileSet>
+         </fileSets>
+      </module>
    </modules>
 
 </archetype-descriptor>
\ No newline at end of file
Index: 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/faces-config.xml
===================================================================
--- 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/faces-config.xml	(revision 535)
+++ 1.2-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/faces-config.xml	(working copy)
@@ -22,7 +22,7 @@
     <navigation-rule>
         <navigation-case>
             <from-action>home</from-action>
-            <to-view-id>/panelGrid/home.xhtml</to-view-id>
+            <to-view-id>/home.xhtml</to-view-id>
         </navigation-case>
     </navigation-rule>
 
Index: seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/components.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/components.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/web/src/main/webapp/WEB-INF/components.xml	(working copy)
@@ -9,16 +9,16 @@
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns:transaction="http://jboss.com/products/seam/transaction"
             xsi:schemaLocation=
-                    "http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.0.xsd
-                 http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.0.xsd
-                 http://jboss.com/products/seam/drools http://jboss.com/products/seam/drools-2.0.xsd
-                 http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.0.xsd
-                 http://jboss.com/products/seam/web http://jboss.com/products/seam/web-2.0.xsd
-                 http://jboss.com/products/seam/mail http://jboss.com/products/seam/mail-2.0.xsd
-                 http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.0.xsd">
+                    "http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.2.xsd
+                 http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.2.xsd
+                 http://jboss.com/products/seam/drools http://jboss.com/products/seam/drools-2.2.xsd
+                 http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.2.xsd
+                 http://jboss.com/products/seam/web http://jboss.com/products/seam/web-2.2.xsd
+                 http://jboss.com/products/seam/mail http://jboss.com/products/seam/mail-2.2.xsd
+                 http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.2.xsd">
 
 
-    <core:init jndi-pattern="${artifactId}-${version}/#{ejbName}/local" debug="false"/>
+    <core:init jndi-pattern="${artifactId}-ear/#{ejbName}/local" debug="false"/>
 
     <core:manager conversation-timeout="120000"
                   concurrent-request-timeout="500"
@@ -29,6 +29,6 @@
                                              auto-create="true"
                                              persistence-unit-jndi-name="java:/${artifactId}EntityManagerFactory"/>
 
-    <security:identity authenticate-method="#{authenticator.authenticate}"/>
+    <!-- <security:identity authenticate-method="#{authenticator.authenticate}"/>  -->
 
 </components>
Index: seam-basic/src/main/resources/archetype-resources/ejb/pom.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/ejb/pom.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/ejb/pom.xml	(working copy)
@@ -1,15 +1,10 @@
 <?xml version="1.0"?>
 <project>
-    <parent>
-        <groupId>${groupId}</groupId>
-        <artifactId>${artifactId}</artifactId>
-        <version>${version}</version>
-        <relativePath>../pom.xml</relativePath>
-    </parent>
+    
     <modelVersion>4.0.0</modelVersion>
-    <groupId>${groupId}.ejb</groupId>
-    <artifactId>${artifactId}</artifactId>
-    <packaging>jar</packaging>
+    <groupId>${groupId}</groupId>
+    <artifactId>${artifactId}-ejb</artifactId>
+    <packaging>ejb</packaging>
     <version>${version}</version>
     <name>${name}</name>
 
@@ -74,7 +69,7 @@
        <dependency>
 			<groupId>org.hibernate</groupId>
 			<artifactId>hibernate-validator</artifactId>
-			<version>3.1.0.CR2</version>
+			<version>3.1.0.GA</version>
 			<scope>provided</scope>
 		</dependency>
        <dependency>
Index: seam-basic/src/main/resources/archetype-resources/web/pom.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/web/pom.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/web/pom.xml	(working copy)
@@ -1,14 +1,9 @@
 <?xml version="1.0"?>
 <project>
-    <parent>
-        <groupId>${groupId}</groupId>
-        <artifactId>${artifactId}</artifactId>
-        <version>${version}</version>
-        <relativePath>../pom.xml</relativePath>
-    </parent>
+    
     <modelVersion>4.0.0</modelVersion>
-    <groupId>${groupId}.web</groupId>
-    <artifactId>${artifactId}</artifactId>
+    <groupId>${groupId}</groupId>
+    <artifactId>${artifactId}-web</artifactId>
     <packaging>war</packaging>
     <version>${version}</version>
     <name>${name}</name>
Index: richfaces-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml
===================================================================
--- richfaces-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml	(revision 535)
+++ richfaces-basic/src/main/resources/archetype-resources/src/main/webapp/WEB-INF/web.xml	(working copy)
@@ -1,7 +1,8 @@
-<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
-         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-         xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
-         version="2.4">
+<?xml version="1.0" encoding="UTF-8"?>
+<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee"
+         xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
+         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
+         version="2.5">
 
    <description>RichFacesPortlet</description>
 
@@ -66,13 +67,13 @@
    </filter-mapping>
 
    <servlet>
-      <servlet-name>FacesServlet</servlet-name>
+      <servlet-name>Faces Servlet</servlet-name>
       <servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
       <load-on-startup>1</load-on-startup>
    </servlet>
 
    <servlet-mapping>
-      <servlet-name>FacesServlet</servlet-name>
+      <servlet-name>Faces Servlet</servlet-name>
       <url-pattern>/faces/*</url-pattern>
    </servlet-mapping>
 
Index: 1.2-basic/pom.xml
===================================================================
--- 1.2-basic/pom.xml	(revision 535)
+++ 1.2-basic/pom.xml	(working copy)
@@ -1,15 +1,36 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-   <parent>
-      <groupId>org.jboss.portletbridge</groupId>
-      <version>2.0.0.BETA</version>
-      <artifactId>archetypes</artifactId>
-   </parent>
+   
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.jboss.portletbridge.archetypes</groupId>
    <artifactId>1.2-basic</artifactId>
    <version>2.0.0.BETA</version>
-   <packaging>maven-plugin</packaging>
+   <packaging>maven-archetype</packaging>
    <name>JSF Portlet archetype</name>
+   
+   <build>
+		<extensions>
+			<extension>
+				<groupId>org.apache.maven.archetype</groupId>
+				<artifactId>archetype-packaging</artifactId>
+				<version>2.0-alpha-4</version>
+			</extension>
+		</extensions>
+		<plugins>
+			<plugin>
+				<artifactId>maven-archetype-plugin</artifactId>
+				<version>2.0-alpha-4</version>
+				<extensions>true</extensions>
+			</plugin>
+		</plugins>
+	</build>
+	
+	<distributionManagement>
+		<repository>
+			<id>internal.repo</id>
+			<name>JBoss Internal Repository</name>
+			<url>file:///e:/atest</url>
+		</repository>
+	</distributionManagement>
 </project>
\ No newline at end of file
Index: seam-basic/src/main/resources/archetype-resources/pom.xml
===================================================================
--- seam-basic/src/main/resources/archetype-resources/pom.xml	(revision 535)
+++ seam-basic/src/main/resources/archetype-resources/pom.xml	(working copy)
@@ -5,7 +5,7 @@
     <groupId>${groupId}</groupId>
     <artifactId>${artifactId}</artifactId>
     <packaging>pom</packaging>
-    <version>${version}</version>
+    <version>2.0.0.BETA</version>
     <name>JBoss Portlet Bridge - Seam Portlet</name>
 
     <properties>
@@ -102,14 +102,14 @@
    <dependencyManagement>
       <dependencies>
          <dependency>
-            <groupId>${groupId}.web</groupId>
-            <artifactId>${artifactId}</artifactId>
+            <groupId>${groupId}</groupId>
+            <artifactId>${artifactId}-web</artifactId>
             <version>${project.version}</version>
             <type>war</type>
          </dependency>
          <dependency>
-            <groupId>${groupId}.ejb</groupId>
-            <artifactId>${artifactId}</artifactId>
+            <groupId>${groupId}</groupId>
+            <artifactId>${artifactId}-ejb</artifactId>
             <version>${project.version}</version>
             <type>ejb</type>
          </dependency>
Index: seam-basic/pom.xml
===================================================================
--- seam-basic/pom.xml	(revision 535)
+++ seam-basic/pom.xml	(working copy)
@@ -1,16 +1,36 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-	<parent>
-		<groupId>org.jboss.portletbridge</groupId>
-		<version>2.0.0.BETA</version>
-		<artifactId>archetypes</artifactId>
-	</parent>
+
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>org.jboss.portletbridge.archetypes</groupId>
 	<artifactId>seam-basic</artifactId>
 	<version>2.0.0.BETA</version>
-	<packaging>maven-plugin</packaging>
+	<packaging>maven-archetype</packaging>
 	<name>Seam portlet archetype</name>
-
+	
+	<build>
+		<extensions>
+			<extension>
+				<groupId>org.apache.maven.archetype</groupId>
+				<artifactId>archetype-packaging</artifactId>
+				<version>2.0-alpha-4</version>
+			</extension>
+		</extensions>
+		<plugins>
+			<plugin>
+				<artifactId>maven-archetype-plugin</artifactId>
+				<version>2.0-alpha-4</version>
+				<extensions>true</extensions>
+			</plugin>
+		</plugins>
+	</build>
+	
+	<distributionManagement>
+		<repository>
+			<id>internal.repo</id>
+			<name>JBoss Internal Repository</name>
+			<url>file:///e:/atest</url>
+		</repository>
+	</distributionManagement>
+	
 </project>
\ No newline at end of file