Index: system/src/main/org/jboss/system/server/profile/basic/XmlIncludeVirtualFileFilter.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/XmlIncludeVirtualFileFilter.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/XmlIncludeVirtualFileFilter.java	(revision 94851)
@@ -28,6 +28,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class XmlIncludeVirtualFileFilter extends AbstractPathNameFilter
 {
    public boolean accepts(String path)
Index: system/src/main/org/jboss/system/server/profile/basic/IncludeExcludeVisitorAttributes.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/IncludeExcludeVisitorAttributes.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/IncludeExcludeVisitorAttributes.java	(revision 94851)
@@ -35,6 +35,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class IncludeExcludeVisitorAttributes extends VisitorAttributes
 {
    private Logger log = Logger.getLogger(getClass());
Index: system/src/main/org/jboss/system/server/profile/basic/PatternExcludeVirtualFileFilter.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/PatternExcludeVirtualFileFilter.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/PatternExcludeVirtualFileFilter.java	(revision 94851)
@@ -26,6 +26,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class PatternExcludeVirtualFileFilter extends AbstractPatternVirtualFileFilter
 {
    public PatternExcludeVirtualFileFilter(String patternString)
Index: system/src/main/org/jboss/system/server/profile/basic/JspAndHtmlExcludeVirtualFileFilter.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/JspAndHtmlExcludeVirtualFileFilter.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/JspAndHtmlExcludeVirtualFileFilter.java	(revision 94851)
@@ -26,6 +26,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class JspAndHtmlExcludeVirtualFileFilter extends PatternExcludeVirtualFileFilter
 {
    public JspAndHtmlExcludeVirtualFileFilter()
Index: system/src/main/org/jboss/system/server/profile/basic/AbstractPatternVirtualFileFilter.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/AbstractPatternVirtualFileFilter.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/AbstractPatternVirtualFileFilter.java	(revision 94851)
@@ -32,6 +32,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public abstract class AbstractPatternVirtualFileFilter extends AbstractPathNameFilter implements VirtualFileFilter
 {
    private Pattern pattern;
Index: system/src/main/org/jboss/system/server/profile/basic/PatternIncludeVirtualFileFilter.java
===================================================================
--- system/src/main/org/jboss/system/server/profile/basic/PatternIncludeVirtualFileFilter.java	(revision 94850)
+++ system/src/main/org/jboss/system/server/profile/basic/PatternIncludeVirtualFileFilter.java	(revision 94851)
@@ -26,6 +26,7 @@
  *
  * @author <a href="mailto:ales.justin@jboss.com">Ales Justin</a>
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class PatternIncludeVirtualFileFilter extends AbstractPatternVirtualFileFilter
 {
    public PatternIncludeVirtualFileFilter(String patternString)
Index: server/src/main/org/jboss/deployment/ListDeploymentUnitFilter.java
===================================================================
--- server/src/main/org/jboss/deployment/ListDeploymentUnitFilter.java	(revision 94850)
+++ server/src/main/org/jboss/deployment/ListDeploymentUnitFilter.java	(revision 94851)
@@ -31,6 +31,7 @@
  *
  * @author ales.justin@jboss.org
  */
+@Deprecated // TODO - remove once we update Deployers to 2.1.x
 public class ListDeploymentUnitFilter implements VFSDeploymentUnitFilter
 {
    private List<VFSDeploymentUnitFilter> filters;
Index: server/src/main/org/jboss/deployment/DeploymentProvidedDeploymentUnitFilter.java
===================================================================
--- server/src/main/org/jboss/deployment/DeploymentProvidedDeploymentUnitFilter.java	(revision 94850)
+++ server/src/main/org/jboss/deployment/DeploymentProvidedDeploymentUnitFilter.java	(revision 94851)
@@ -37,6 +37,7 @@
  * @author Thomas.Diesler@jboss.com
  * @since 04-Mar-2009
  */
+@Deprecated // TODO - remove once we update Deployers to 2.1.x
 public class DeploymentProvidedDeploymentUnitFilter extends VFS2BaseBridgeDeploymentUnitFilter
 {
    @Override
Index: server/src/main/org/jboss/deployment/FileNameVirtualFileFilter.java
===================================================================
--- server/src/main/org/jboss/deployment/FileNameVirtualFileFilter.java	(revision 94850)
+++ server/src/main/org/jboss/deployment/FileNameVirtualFileFilter.java	(revision 94851)
@@ -33,6 +33,7 @@
  *
  * @author ales.justin@jboss.org
  */
+@Deprecated // TODO - remove once we update VFS to 2.2.x
 public class FileNameVirtualFileFilter implements VirtualFileFilter
 {
    private Logger log = Logger.getLogger(getClass());