### Eclipse Workspace Patch 1.0
#P photoalbum-root
Index: source/web/pom.xml
===================================================================
--- source/web/pom.xml	(revision 16353)
+++ source/web/pom.xml	(working copy)
@@ -10,7 +10,7 @@
 	</parent>
 
 	<groupId>org.richfaces.examples</groupId>
-	<artifactId>${projectName}-web</artifactId>
+	<artifactId>photoalbum-web</artifactId>
 	<name>${appName} WAR module</name>
 	<packaging>war</packaging>
 	
Index: source/web/src/main/webapp/WEB-INF/components.xml
===================================================================
--- source/web/src/main/webapp/WEB-INF/components.xml	(revision 16353)
+++ source/web/src/main/webapp/WEB-INF/components.xml	(working copy)
@@ -10,17 +10,17 @@
             xmlns:transaction="http://jboss.com/products/seam/transaction"
             xmlns:web="http://jboss.com/products/seam/web"
             xsi:schemaLocation=
-                    "http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.1.0.xsd
-                http://jboss.com/products/seam/web http://jboss.com/products/seam/web-2.1.0.xsd
-                http://jboss.com/products/seam/transaction http://jboss.com/products/seam/transaction-2.1.0.xsd
-                 http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.1.0.xsd 
-                 http://jboss.com/products/seam/drools http://jboss.com/products/seam/drools-2.1.0.xsd
-                 http://jboss.com/products/seam/bpm http://jboss.com/products/seam/bpm-2.1.0.xsd
-                 http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.1.0.xsd
-                 http://jboss.com/products/seam/mail http://jboss.com/products/seam/mail-2.1.0.xsd
-                 http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.1.0.xsd">
+                    "http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.1.xsd
+                http://jboss.com/products/seam/web http://jboss.com/products/seam/web-2.1.xsd
+                http://jboss.com/products/seam/transaction http://jboss.com/products/seam/transaction-2.1.xsd
+                 http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.1.xsd 
+                 http://jboss.com/products/seam/drools http://jboss.com/products/seam/drools-2.1.xsd
+                 http://jboss.com/products/seam/bpm http://jboss.com/products/seam/bpm-2.1.xsd
+                 http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.1.xsd
+                 http://jboss.com/products/seam/mail http://jboss.com/products/seam/mail-2.1.xsd
+                 http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.1.xsd">
 
-    <core:init transaction-management-enabled="false" debug="${environment.debug}" jndi-pattern="@jndiPattern@"/>
+    <core:init transaction-management-enabled="false" debug="true" jndi-pattern="@jndiPattern@"/>
     <core:manager concurrent-request-timeout="20000"
                   conversation-timeout="200000"
                   conversation-id-parameter="cid"
Index: source/ejb/src/main/resources/components.properties
===================================================================
--- source/ejb/src/main/resources/components.properties	(revision 0)
+++ source/ejb/src/main/resources/components.properties	(revision 0)
@@ -0,0 +1,4 @@
+#
+#Mon Sep 15 14:29:32 EEST 2008
+jndiPattern=photoalbum-ear/#{ejbName}/local
+embeddedEjb=false
Index: source/ejb/pom.xml
===================================================================
--- source/ejb/pom.xml	(revision 16353)
+++ source/ejb/pom.xml	(working copy)
@@ -10,7 +10,7 @@
 	</parent>
 
 	<groupId>org.richfaces.examples</groupId>
-	<artifactId>${projectName}-ejb</artifactId>
+	<artifactId>photoalbum-ejb</artifactId>
 	<name>${appName} EJB module</name>
 	<packaging>ejb</packaging>
 
@@ -89,37 +89,17 @@
 			<resource>
 				<directory>src/main/resources</directory>
 			</resource>
+			
 			<resource>
-				<directory>${project.build.directory}/resources-filtered</directory>
-			</resource>
-			<resource>
 				<directory>sql/${imageset}</directory>
 			</resource>
+			
 		</resources>
 
 		<plugins>
 			<plugin>
 				<artifactId>maven-resources-plugin</artifactId>
-				<version>2.3</version>
-				<executions>
-				  <execution>
-					<id>copy-resources</id>
-					<!-- here the phase you need -->
-					<phase>validate</phase>
-					<goals>
-						<goal>copy-resources</goal>
-					</goals>
-					<configuration>
-						<outputDirectory>${project.build.directory}/resources-filtered</outputDirectory>
-						<resources>
-							<resource>
-								<directory>src/main/resources-filtered</directory>
-								<filtering>true</filtering>
-							</resource>
-						</resources>
-					</configuration>
-				  </execution>
-				</executions>
+				<version>2.3</version>	
 			</plugin>
 
 			<plugin>
Index: source/ear/src/main/application/META-INF/jboss-app.xml
===================================================================
--- source/ear/src/main/application/META-INF/jboss-app.xml	(revision 0)
+++ source/ear/src/main/application/META-INF/jboss-app.xml	(revision 0)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE jboss-app
+    PUBLIC "-//JBoss//DTD J2EE Application 4.2//EN"
+    "http://www.jboss.org/j2ee/dtd/jboss-app_4_2.dtd">
+
+<jboss-app>
+	<module-order>strict</module-order>
+	<loader-repository>
+		seam.jboss.org:loader=photoalbum-ear.ear
+	</loader-repository>
+</jboss-app>
Index: source/ear/src/main/application/META-INF/application.xml
===================================================================
--- source/ear/src/main/application/META-INF/application.xml	(revision 0)
+++ source/ear/src/main/application/META-INF/application.xml	(revision 0)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<application xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:application="http://java.sun.com/xml/ns/javaee/application_5.xsd" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/application_5.xsd" version="5">
+  <display-name>photoalbum-ear</display-name>
+  <module>
+    <ejb>photoalbum-ejb.jar</ejb>
+  </module>
+  <module>
+    <ejb>jboss-seam-2.1.1.GA.jar</ejb>
+  </module>
+  <module>
+    <web>
+      <web-uri>photoalbum-web.war</web-uri>
+      <context-root>/photoalbum-web</context-root>
+    </web>
+  </module>
+  <library-directory>lib</library-directory>
+</application>
\ No newline at end of file
Index: source/ear/pom.xml
===================================================================
--- source/ear/pom.xml	(revision 16353)
+++ source/ear/pom.xml	(working copy)
@@ -8,7 +8,7 @@
 	</parent>
 
 	<groupId>org.richfaces.examples</groupId>
-	<artifactId>${projectName}-ear</artifactId>
+	<artifactId>photoalbum-ear</artifactId>
 	<name>${appName} EAR module</name>
 	<packaging>ear</packaging>
 
@@ -61,7 +61,7 @@
     </dependency>
 	</dependencies>
 	<build>
-		<finalName>${projectName}-ear-${project.version}</finalName>
+		<finalName>photoalbum-ear</finalName>
 		<plugins>
 			<plugin>
 				<groupId>org.apache.maven.plugins</groupId>
@@ -78,15 +78,18 @@
 					<generateApplicationXml>true</generateApplicationXml>
 					<includeJar>false</includeJar>
 					<defaultLibBundleDir>lib</defaultLibBundleDir>
+					<version>5</version>
 					<modules>
 						<webModule>
 							<groupId>org.richfaces.examples</groupId>
-							<artifactId>${projectName}-web</artifactId>
-							<contextRoot>/${projectName}</contextRoot>
+							<artifactId>photoalbum-web</artifactId>
+							<contextRoot>/photoalbum-web</contextRoot>
+							<bundleFileName>photoalbum-web.war</bundleFileName>
 						</webModule>
 						<ejbModule>
 							<groupId>org.richfaces.examples</groupId>
-							<artifactId>${projectName}-ejb</artifactId>
+							<artifactId>photoalbum-ejb</artifactId>
+							<bundleFileName>photoalbum-ejb.jar</bundleFileName>
 						</ejbModule>
 						<ejbModule>
 							<groupId>org.jboss.seam</groupId>