Index: metadata-impl/pom.xml
===================================================================
--- metadata-impl/pom.xml	(revision 100766)
+++ metadata-impl/pom.xml	(working copy)
@@ -71,6 +71,12 @@
         <groupId>org.jboss.metadata</groupId>
         <artifactId>jboss-metadata-common</artifactId>
         <version>2.0.0-SNAPSHOT</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.jboss</groupId>
+            <artifactId>jboss-vfs</artifactId>
+          </exclusion>
+        </exclusions>
     </dependency>
     
   </dependencies>
Index: proxy-impl/pom.xml
===================================================================
--- proxy-impl/pom.xml	(revision 100766)
+++ proxy-impl/pom.xml	(working copy)
@@ -99,6 +99,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.0</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -141,6 +147,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <dependency>
Index: proxy/pom.xml
===================================================================
--- proxy/pom.xml	(revision 100766)
+++ proxy/pom.xml	(working copy)
@@ -77,6 +77,12 @@
       <artifactId>jboss-ejb3-proxy-impl</artifactId>
       <version>1.0.1</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
Index: aop-deployers/pom.xml
===================================================================
--- aop-deployers/pom.xml	(revision 100766)
+++ aop-deployers/pom.xml	(working copy)
@@ -62,6 +62,12 @@
       <groupId>org.jboss.deployers</groupId>
       <artifactId>jboss-deployers-vfs-spi</artifactId>
       <version>2.0.5.GA</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <!--
     <dependency>
Index: ejb3/pom.xml
===================================================================
--- ejb3/pom.xml	(revision 100766)
+++ ejb3/pom.xml	(working copy)
@@ -54,6 +54,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-core</artifactId>
       <version>${version.org.jboss.ejb3_core}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- jboss-ejb3-deployers -->
@@ -61,6 +67,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-deployers</artifactId>
       <version>${version.org.jboss.ejb3_deployers}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
   </dependencies>
Index: metadata-deployers/pom.xml
===================================================================
--- metadata-deployers/pom.xml	(revision 100766)
+++ metadata-deployers/pom.xml	(working copy)
@@ -152,6 +152,10 @@
             <groupId>org.jboss.metadata</groupId>
             <artifactId>jboss-metadata</artifactId>
         </exclusion>
+        <exclusion>
+            <groupId>org.jboss</groupId>
+            <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
 
Index: mc-int/pom.xml
===================================================================
--- mc-int/pom.xml	(revision 100766)
+++ mc-int/pom.xml	(working copy)
@@ -71,6 +71,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.0</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- EJB3 Test -->
Index: core/pom.xml
===================================================================
--- core/pom.xml	(revision 100766)
+++ core/pom.xml	(working copy)
@@ -216,6 +216,10 @@
           <groupId>org.jboss.javaee</groupId>
           <artifactId>jboss-javaee</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
 
@@ -237,12 +241,6 @@
     </dependency>
 
     <dependency>
-      <groupId>org.jboss</groupId>
-      <artifactId>jboss-vfs</artifactId>
-      <version>2.0.0.CR1</version>
-    </dependency>
-
-    <dependency>
       <groupId>org.jboss.naming</groupId>
       <artifactId>jnpserver</artifactId>
     </dependency>
@@ -375,6 +373,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.1</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -429,6 +433,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-proxy-impl</artifactId>
       <version>1.0.6</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -528,6 +538,10 @@
           <groupId>org.jboss.microcontainer</groupId>
           <artifactId>jboss-deployers-spi</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     <dependency>
@@ -556,6 +570,10 @@
           <groupId>org.jboss.microcontainer</groupId>
           <artifactId>jboss-deployers-spi</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     <dependency>
@@ -623,6 +641,12 @@
       <groupId>org.jboss.jpa</groupId>
       <artifactId>jboss-jpa-deployers</artifactId>
       <version>1.0.0-CR1</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
Index: as-int/pom.xml
===================================================================
--- as-int/pom.xml	(revision 100766)
+++ as-int/pom.xml	(working copy)
@@ -50,6 +50,12 @@
       <artifactId>jboss-ejb3</artifactId>
       <version>${version.org.jboss.ejb3_jboss.ejb3}</version>
       <type>pom</type>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- jboss-ejb3-mc-int -->
Index: plugin/pom.xml
===================================================================
--- plugin/pom.xml	(revision 100766)
+++ plugin/pom.xml	(working copy)
@@ -65,6 +65,12 @@
       <artifactId>jboss-ejb3-as-int</artifactId>
       <version>1.1.22</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -73,6 +79,12 @@
       <classifier>client</classifier>
       <version>1.0.1</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -81,6 +93,12 @@
       <classifier>client</classifier>
       <version>1.1.22</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
@@ -118,6 +136,12 @@
       <classifier>client</classifier>
       <version>1.0.6</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
Index: endpoint-deployer/pom.xml
===================================================================
--- endpoint-deployer/pom.xml	(revision 100766)
+++ endpoint-deployer/pom.xml	(working copy)
@@ -93,6 +93,10 @@
           <groupId>org.jboss.jbossas</groupId>
           <artifactId>jboss-as-system-jmx</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     
@@ -133,6 +137,10 @@
           <groupId>org.jboss.jbossas</groupId>
           <artifactId>jboss-as-bootstrap</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
       <!-- TODO: we actually depend on the same transitive dependencies
       <scope>test</scope>
@@ -163,6 +171,10 @@
           <groupId>org.jboss.bootstrap</groupId>
           <artifactId>jboss-bootstrap-impl-mc</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     
Index: singleton/pom.xml
===================================================================
--- singleton/pom.xml	(revision 100766)
+++ singleton/pom.xml	(working copy)
@@ -178,6 +178,12 @@
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata-ejb</artifactId>
       <version>2.0.0-SNAPSHOT</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     
@@ -296,6 +302,10 @@
           <groupId>org.jboss.ws.native</groupId>
           <artifactId>jbossws-native-jaxws</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
       <scope>runtime</scope>
     </dependency>
Index: ext-api-impl/pom.xml
===================================================================
--- ext-api-impl/pom.xml	(revision 100766)
+++ ext-api-impl/pom.xml	(working copy)
@@ -51,6 +51,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
   </dependencies>
 </project>
Index: deployers/pom.xml
===================================================================
--- deployers/pom.xml	(revision 100766)
+++ deployers/pom.xml	(working copy)
@@ -43,12 +43,24 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <dependency>
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>${version.org.jboss.ejb3_jboss.ejb3.common}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- MC Deployers SPI -->
@@ -69,6 +81,10 @@
         <groupId>org.jboss.jpa</groupId>
         <artifactId>jboss-jpa-deployers</artifactId>
       </exclusion>
+      <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+      </exclusion>
     </exclusions>
     </dependency>
 
Index: remoting2/pom.xml
===================================================================
--- remoting2/pom.xml	(revision 100766)
+++ remoting2/pom.xml	(working copy)
@@ -50,6 +50,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.1-SNAPSHOT</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>    
     <dependency>
       <groupId>org.jboss.ejb3</groupId>
Index: ext-api/pom.xml
===================================================================
--- ext-api/pom.xml	(revision 100766)
+++ ext-api/pom.xml	(working copy)
@@ -45,6 +45,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
   </dependencies>
Index: transactions/pom.xml
===================================================================
--- transactions/pom.xml	(revision 100766)
+++ transactions/pom.xml	(working copy)
@@ -159,6 +159,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>jboss.jbossts</groupId>
Index: proxy-spi/pom.xml
===================================================================
--- proxy-spi/pom.xml	(revision 100766)
+++ proxy-spi/pom.xml	(working copy)
@@ -68,6 +68,12 @@
       <artifactId>jboss-ejb3-common</artifactId>
       <version>${version.org.jboss.ejb3_jboss.ejb3.common}</version>
       <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- 
Index: test/pom.xml
===================================================================
--- test/pom.xml	(revision 100766)
+++ test/pom.xml	(working copy)
@@ -82,6 +82,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.0</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <dependency>
Index: metadata/pom.xml
===================================================================
--- metadata/pom.xml	(revision 100766)
+++ metadata/pom.xml	(working copy)
@@ -44,6 +44,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.aop</groupId>
Index: interceptors/pom.xml
===================================================================
--- interceptors/pom.xml	(revision 100766)
+++ interceptors/pom.xml	(working copy)
@@ -81,6 +81,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.0</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- External -->
@@ -111,6 +117,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.aop</groupId>
Index: metrics-deployer/pom.xml
===================================================================
--- metrics-deployer/pom.xml	(revision 100766)
+++ metrics-deployer/pom.xml	(working copy)
@@ -44,6 +44,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-core</artifactId>
       <version>${version.org.jboss.ejb3_jboss.ejb3.core}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- 
Index: timerservice-as5/pom.xml
===================================================================
--- timerservice-as5/pom.xml	(revision 100766)
+++ timerservice-as5/pom.xml	(working copy)
@@ -64,6 +64,10 @@
           <groupId>org.jboss.ws.native</groupId>
           <artifactId>jbossws-native-jaxws</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>      
       <scope>provided</scope>
     </dependency>
Index: common/pom.xml
===================================================================
--- common/pom.xml	(revision 100766)
+++ common/pom.xml	(working copy)
@@ -95,6 +95,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
  
     <dependency>
Index: timerservice-mk2/pom.xml
===================================================================
--- timerservice-mk2/pom.xml	(revision 100766)
+++ timerservice-mk2/pom.xml	(working copy)
@@ -130,6 +130,10 @@
           <groupId>org.jboss.javaee</groupId>
           <artifactId>jboss-ejb-api</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     <dependency>
Index: embedded/pom.xml
===================================================================
--- embedded/pom.xml	(revision 100766)
+++ embedded/pom.xml	(working copy)
@@ -169,11 +169,6 @@
       <artifactId>jbossjta</artifactId>
       <version>4.4.0.GA</version>
     </dependency>
-    <dependency>
-      <groupId>org.jboss</groupId>
-      <artifactId>jboss-vfs</artifactId>
-      <version>2.1.0.GA</version>
-    </dependency>
     <!-- TODO: there is no equivelant in AS 5.0.1 -->
     <dependency>
       <groupId>org.jboss.aop</groupId>
@@ -225,6 +220,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-deployers</artifactId>
       <version>${version.org.jboss.ejb3_jboss-ejb3-deployers}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.deployers</groupId>
@@ -247,6 +248,12 @@
       <artifactId>jboss-deployers-vfs</artifactId>
       <version>${version.org.jboss.deployers}</version>
       <!-- scope>runtime</scope -->
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.deployers</groupId>
@@ -272,12 +279,22 @@
           <groupId>org.jboss</groupId>
           <artifactId>jbossxb</artifactId>
         </exclusion>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
       </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
       <version>1.0.0.CR16</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     <dependency>
       <groupId>org.jboss.microcontainer</groupId>
Index: installer/pom.xml
===================================================================
--- installer/pom.xml	(revision 100766)
+++ installer/pom.xml	(working copy)
@@ -39,6 +39,12 @@
       <artifactId>jboss-ejb3-common</artifactId>
       <version>1.0.0</version>
       <scope>provided</scope>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- JUnit -->
Index: build/pom.xml
===================================================================
--- build/pom.xml	(revision 100766)
+++ build/pom.xml	(working copy)
@@ -186,8 +186,20 @@
             <requireMavenVersion>
               <version>[2.0.9,2.1)</version>
             </requireMavenVersion>
+            <noCompileDependencyRule implementation="org.jboss.maven.plugins.enforcer.rules.nocompiledep.NoCompileDependencyRule">
+              <excludes>
+                <exclude>org.jboss:jboss-vfs</exclude>
+              </excludes>
+            </noCompileDependencyRule>
           </rules>
         </configuration>
+        <dependencies>
+          <dependency>
+            <groupId>org.jboss.maven.plugins.enforcer.rules</groupId>
+            <artifactId>nocompiledep</artifactId>
+            <version>1.0.0-SNAPSHOT</version>
+          </dependency>
+        </dependencies>
       </plugin>
 
       <plugin>
Index: ejb3_1/pom.xml
===================================================================
--- ejb3_1/pom.xml	(revision 100766)
+++ ejb3_1/pom.xml	(working copy)
@@ -79,6 +79,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>${version.org.jboss.ejb3_common}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- jboss-ejb3-core -->
@@ -86,6 +92,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-core</artifactId>
       <version>${version.org.jboss.ejb3_core}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- jboss-ejb3-deployers -->
@@ -93,6 +105,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-deployers</artifactId>
       <version>${version.org.jboss.ejb3_deployers}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- jboss-ejb3-endpoint -->
@@ -150,6 +168,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-proxy-impl</artifactId>
       <version>${version.org.jboss.ejb3_proxy-impl}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- jboss-ejb3-proxy-spi -->
@@ -185,6 +209,12 @@
         <groupId>org.jboss.metadata</groupId>
         <artifactId>jboss-metadata-ejb</artifactId>
         <version>${version.org.jboss.metadata_ejb-metadata}</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.jboss</groupId>
+            <artifactId>jboss-vfs</artifactId>
+          </exclusion>
+        </exclusions>
     </dependency>
     
     <!-- jboss-ejb3-nointerface-impl -->
Index: profile3_1/src/it/build/pom.xml
===================================================================
--- profile3_1/src/it/build/pom.xml	(revision 100766)
+++ profile3_1/src/it/build/pom.xml	(working copy)
@@ -94,6 +94,12 @@
             <groupId>org.jboss.ejb3</groupId>
             <artifactId>jboss-ejb3-deployers</artifactId>
             <version>${version.org.jboss.ejb3_jboss-ejb3-deployers}</version>
+            <exclusions>
+              <exclusion>
+                <groupId>org.jboss</groupId>
+                <artifactId>jboss-vfs</artifactId>
+              </exclusion>
+            </exclusions>
        </dependency>
 
 
@@ -128,7 +134,12 @@
         <groupId>org.jboss.jpa</groupId>
         <artifactId>jboss-jpa-deployers</artifactId>
         <version>${version.org.jboss.jpa_jboss-jpa-deployers}</version>
-
+        <exclusions>
+          <exclusion>
+            <groupId>org.jboss</groupId>
+            <artifactId>jboss-vfs</artifactId>
+          </exclusion>
+        </exclusions>
       </dependency>
 
       <!-- AOP Deployers -->
Index: profile3_1/pom.xml
===================================================================
--- profile3_1/pom.xml	(revision 100766)
+++ profile3_1/pom.xml	(working copy)
@@ -143,7 +143,13 @@
        <dependency>
          <groupId>org.jboss.ejb3</groupId>
          <artifactId>jboss-ejb3-deployers</artifactId>
-      <version>${version.org.jboss.ejb3_jboss-ejb3-deployers}</version>
+         <version>${version.org.jboss.ejb3_jboss-ejb3-deployers}</version>
+         <exclusions>
+           <exclusion>
+            <groupId>org.jboss</groupId>
+            <artifactId>jboss-vfs</artifactId>
+           </exclusion>
+         </exclusions>
        </dependency>
 
        <dependency>
Index: security/pom.xml
===================================================================
--- security/pom.xml	(revision 100766)
+++ security/pom.xml	(working copy)
@@ -134,6 +134,12 @@
     <dependency>
       <groupId>org.jboss.metadata</groupId>
       <artifactId>jboss-metadata</artifactId>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
 
     <!-- JUnit -->
Index: test-remote/pom.xml
===================================================================
--- test-remote/pom.xml	(revision 100766)
+++ test-remote/pom.xml	(working copy)
@@ -68,6 +68,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-common</artifactId>
       <version>${version.org.jboss.ejb3_jboss.ejb3.common}</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <!-- org.jboss.ejb3:jboss-ejb3-test -->
Index: proxy-clustered/pom.xml
===================================================================
--- proxy-clustered/pom.xml	(revision 100766)
+++ proxy-clustered/pom.xml	(working copy)
@@ -91,6 +91,12 @@
       <groupId>org.jboss.ejb3</groupId>
       <artifactId>jboss-ejb3-proxy-impl</artifactId>
       <version>1.0.6</version>
+      <exclusions>
+        <exclusion>
+          <groupId>org.jboss</groupId>
+          <artifactId>jboss-vfs</artifactId>
+        </exclusion>
+      </exclusions>
     </dependency>
     
     <dependency>