From 7155cb4f1effadd81904934b04e7f917c4ee3b04 Mon Sep 17 00:00:00 2001
From: Carlo de Wolf <cdewolf@redhat.com>
Date: Mon, 17 May 2010 14:15:05 +0200
Subject: [PATCH 5/5] JBPAPP-4128: using jboss-ejb3-bom-eap5 0.1.0 and removed deprecated ejb3 identifiers

---
 component-matrix/pom.xml |  214 +---------------------------------------------
 1 files changed, 2 insertions(+), 212 deletions(-)

diff --git a/component-matrix/pom.xml b/component-matrix/pom.xml
index 56fb30a..cb9cde2 100644
--- a/component-matrix/pom.xml
+++ b/component-matrix/pom.xml
@@ -65,19 +65,7 @@
     <version.org.jboss.cluster.server.api>1.1.1.GA</version.org.jboss.cluster.server.api>
     <version.org.jboss.common.core>2.2.16.GA</version.org.jboss.common.core>
     <version.org.jboss.deployers>2.0.8.SP1</version.org.jboss.deployers>
-    <version.org.jboss.ejb3.bom>0.1.0-SNAPSHOT</version.org.jboss.ejb3.bom>
-    <!--
-    <version.org.jboss.ejb3.common.client>1.0.1</version.org.jboss.ejb3.common.client>
-    <version.org.jboss.ejb3.jpa.int>1.0.0</version.org.jboss.ejb3.jpa.int>
-    <version.org.jboss.ejb3.proxy.impl.client>1.0.6</version.org.jboss.ejb3.proxy.impl.client>
-    <version.org.jboss.ejb3.proxy.spi.client>1.0.0</version.org.jboss.ejb3.proxy.spi.client>
-    <version.org.jboss.ejb3.proxy.clustered.client>1.0.3</version.org.jboss.ejb3.proxy.clustered.client>
-    <version.org.jboss.ejb3.security.client>1.0.1</version.org.jboss.ejb3.security.client>
-    <version.org.jboss.ejb3>1.1.22</version.org.jboss.ejb3>
-    <version.org.jboss.ejb3.endpoint.deployer>0.1.4</version.org.jboss.ejb3.endpoint.deployer>
-    <version.org.jboss.ejb3.metrics.deployer>1.0.2</version.org.jboss.ejb3.metrics.deployer>
-    <version.org.jboss.ejb3.transactions>1.0.2</version.org.jboss.ejb3.transactions>
-    -->
+    <version.org.jboss.ejb3.bom>0.1.0</version.org.jboss.ejb3.bom>
     <version.org.jboss.integration>5.1.0.SP1</version.org.jboss.integration>
     <version.org.jboss.jbossxb>2.0.1.GA</version.org.jboss.jbossxb>
     <version.org.jboss.jopr>1.3.2.GA</version.org.jboss.jopr>    
@@ -1701,7 +1689,7 @@
       <dependency>
         <groupId>org.jboss.ejb3.bom</groupId>
         <artifactId>bom-eap5</artifactId>
-        <version>0.1.0-SNAPSHOT</version>
+        <version>${version.org.jboss.ejb3.bom}</version>
         <type>pom</type>
         <scope>import</scope>
         <exclusions>
@@ -1716,204 +1704,6 @@
         </exclusions>
       </dependency>
 
-      <!--
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-common</artifactId>
-        <version>${version.org.jboss.ejb3.common.client}</version>
-        <classifier>client</classifier>
-      </dependency>
-      
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-as-int</artifactId>
-        <version>${version.org.jboss.ejb3}</version>
-        <exclusions>
-          <exclusion>
-            <groupId>org.hibernate</groupId>
-            <artifactId>hibernate</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss</groupId>
-            <artifactId>jboss-metadata</artifactId>            
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop-aspects</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>jboss.remoting</groupId>
-            <artifactId>jboss-remoting</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>jboss</groupId>
-            <artifactId>jboss-test</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss</groupId>
-            <artifactId>jboss-transaction-spi</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.microcontainer</groupId>
-            <artifactId>jboss-deployers-core-spi</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.javaee</groupId>
-            <artifactId>jboss-servlet-api</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.jbossas</groupId>
-            <artifactId>jboss-as-server</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.ejb3</groupId>
-            <artifactId>jboss-ejb3-metrics-deployer</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>sun-jaxws</groupId>
-            <artifactId>jaxws-api</artifactId>
-          </exclusion>
-        </exclusions>
-      </dependency>
-
-      < ! - - Normally comes in via ejb3-as-int, but we need some exclusions  - - >
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-metrics-deployer</artifactId>
-        <version>${version.org.jboss.ejb3.metrics.deployer}</version>
-        <exclusions>
-          <exclusion>
-            <groupId>org.jboss.microcontainer</groupId>
-            <artifactId>jboss-jmx-mc-int</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.system</groupId>
-            <artifactId>system-jmx</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.ejb3</groupId>
-            <artifactId>jboss-ejb3-core</artifactId>
-          </exclusion>
-        </exclusions>
-      </dependency>
-      
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-core</artifactId>
-        <version>${version.org.jboss.ejb3.core.client}</version>
-        <classifier>client</classifier>
-        <exclusions>
-          <exclusion>
-            <groupId>org.hibernate</groupId>
-            <artifactId>hibernate</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss</groupId>
-            <artifactId>jboss-metadata</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>jboss</groupId>
-            <artifactId>jboss-test</artifactId>
-          </exclusion>          
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop-aspects</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss</groupId>
-            <artifactId>jboss-transaction-spi</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.microcontainer</groupId>
-            <artifactId>jboss-deployers-core-spi</artifactId>
-          </exclusion>          
-          <exclusion>
-            <groupId>org.jboss.javaee</groupId>
-            <artifactId>jboss-servlet-api</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.ejb3</groupId>
-            <artifactId>jboss-ejb3-transactions</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>sun-jaxws</groupId>
-            <artifactId>jaxws-api</artifactId>
-          </exclusion>
-        </exclusions>
-      </dependency>
-
-      < ! - - Normally comes in via ejb3-as-int, but we need a newer version - - >
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-transactions</artifactId>
-        <version>${version.org.jboss.ejb3.transactions}</version>
-      </dependency>
-    
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-endpoint-deployer</artifactId>
-        <version>${version.org.jboss.ejb3.endpoint.deployer}</version>
-        <exclusions>
-          <exclusion>
-            <groupId>org.jboss.ejb3</groupId>
-            <artifactId>jboss-ejb3-core</artifactId>
-          </exclusion>
-        </exclusions>
-      </dependency>
-
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-jpa-int</artifactId>
-        <version>${version.org.jboss.ejb3.jpa.int}</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-proxy-impl</artifactId>
-        <version>${version.org.jboss.ejb3.proxy.impl.client}</version>
-        <classifier>client</classifier>
-      </dependency>
-
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-proxy-spi</artifactId>
-        <version>${version.org.jboss.ejb3.proxy.spi.client}</version>
-        <classifier>client</classifier>
-      </dependency>
-    
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-proxy-clustered</artifactId>
-        <version>${version.org.jboss.ejb3.proxy.clustered.client}</version>
-        <classifier>client</classifier>
-      </dependency>
- 
-      <dependency>
-        <groupId>org.jboss.ejb3</groupId>
-        <artifactId>jboss-ejb3-security</artifactId>
-        <version>${version.org.jboss.ejb3.security.client}</version>
-        <classifier>client</classifier>
-        <exclusions>
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop</artifactId>
-          </exclusion>
-          <exclusion>
-            <groupId>org.jboss.aop</groupId>
-            <artifactId>jboss-aop-aspects</artifactId>
-          </exclusion>
-        </exclusions>
-      </dependency>
-      -->
-      
       <dependency>
         <groupId>org.jboss.javaee</groupId>
         <artifactId>jboss-javaee</artifactId>
-- 
1.6.3.3